## NMDeviceGeneric

NMDeviceGeneric

## Functions

const char * | nm_device_generic_get_hw_address ()

## Properties

gchar * | hw-address | Read
gchar * | type-description | Read

## Types and Values

#define | NM_DEVICE_GENERIC_HW_ADDRESS
#define | NM_DEVICE_GENERIC_TYPE_DESCRIPTION
| NMDeviceGeneric

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceGeneric

## Implemented Interfaces

NMDeviceGeneric implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_device_generic_get_hw_address ()

    const char *
    nm_device_generic_get_hw_address (NMDeviceGeneric *device);

Gets the hardware address of the NMDeviceGeneric

#### Parameters

device | a NMDeviceGeneric |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

## Types and Values

### NM_DEVICE_GENERIC_HW_ADDRESS

    #define NM_DEVICE_GENERIC_HW_ADDRESS       "hw-address"

### NM_DEVICE_GENERIC_TYPE_DESCRIPTION

    #define NM_DEVICE_GENERIC_TYPE_DESCRIPTION "type-description"

### NMDeviceGeneric

    typedef struct _NMDeviceGeneric NMDeviceGeneric;

## Property Details

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware address of the device.

Flags: Read

Default value: NULL

### The `“type-description”` property

      “type-description”         gchar *

A description of the specific type of device this is, or `NULL` if not known.

Flags: Read

Default value: NULL